Eclipse Platform Release 3.7

## org.eclipse.ui.navigator
Class Priority

    java.lang.Object
      org.eclipse.ui.navigator.Priority

    public final class Priority

extends Object

Enumeration of the Priority values supported by the Common Navigator.

Since:
  3.2

Field Summary
`static Priority[]` `ENUM_ARRAY` The ordered array of possible enumeration values (0=> Highest, length-1=>Lowest)
`static Priority` `HIGH` Indicates High priority as a Priority enumeration.
`static String` `HIGH_PRIORITY_LITERAL` Indicates High priority as a String.
`static int` `HIGH_PRIORITY_VALUE` Indicates High priority as an int.
`static Priority` `HIGHER` Indicates Higher priority as a Priority enumeration.
`static String` `HIGHER_PRIORITY_LITERAL` Indicates Higher priority as a String.
`static int` `HIGHER_PRIORITY_VALUE` Indicates Higher priority as an int.
`static Priority` `HIGHEST` Indicates Highest priority as a Priority enumeration.
`static String` `HIGHEST_PRIORITY_LITERAL` Indicates Highest priority as a String.
`static int` `HIGHEST_PRIORITY_VALUE` Indicates Highest priority as an int.
`static Priority` `LOW` Indicates Low priority as a Priority enumeration.
`static String` `LOW_PRIORITY_LITERAL` Indicates Low priority as a String.
`static int` `LOW_PRIORITY_VALUE` Indicates Low priority as an int.
`static Priority` `LOWER` Indicates Lower priority as a Priority enumeration.
`static String` `LOWER_PRIORITY_LITERAL` Indicates Lower priority as a String.
`static int` `LOWER_PRIORITY_VALUE` Indicates Lower priority as an int.
`static Priority` `LOWEST` Indicates Lowest priority as a Priority enumeration.
`static String` `LOWEST_PRIORITY_LITERAL` Indicates Lowest priority as a String.
`static int` `LOWEST_PRIORITY_VALUE` Indicates Lowest priority as an int.
`static Priority` `NORMAL` Indicates Normal priority as a Priority enumeration.
`static String` `NORMAL_PRIORITY_LITERAL` Indicates Normal priority as a String.
`static int` `NORMAL_PRIORITY_VALUE` Indicates Normal priority as an int.

Constructor Summary
`protected` `Priority(int aValue, String aLiteral)`

Method Summary
`static Priority` `get(int aValue)` Returns the correct instance of the Priority ENUM for aValue.
`static Priority` `get(String aLiteral)` Returns the correct instance of the Priority ENUM for aLiteral.
`String` `getLiteral()`
`int` `getValue()` 0 is the lowest priority; 7 is the highest.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HIGHEST_PRIORITY_VALUE

    public static final int HIGHEST_PRIORITY_VALUE

  Indicates Highest priority as an int.

  See Also:
    Constant Field Values

### HIGHER_PRIORITY_VALUE

    public static final int HIGHER_PRIORITY_VALUE

  Indicates Higher priority as an int.

  See Also:
    Constant Field Values

### HIGH_PRIORITY_VALUE

    public static final int HIGH_PRIORITY_VALUE

  Indicates High priority as an int.

  See Also:
    Constant Field Values

### NORMAL_PRIORITY_VALUE

    public static final int NORMAL_PRIORITY_VALUE

  Indicates Normal priority as an int.

  See Also:
    Constant Field Values

### LOW_PRIORITY_VALUE

    public static final int LOW_PRIORITY_VALUE

  Indicates Low priority as an int.

  See Also:
    Constant Field Values

### LOWER_PRIORITY_VALUE

    public static final int LOWER_PRIORITY_VALUE

  Indicates Lower priority as an int.

  See Also:
    Constant Field Values

### LOWEST_PRIORITY_VALUE

    public static final int LOWEST_PRIORITY_VALUE

  Indicates Lowest priority as an int.

  See Also:
    Constant Field Values

### HIGHEST_PRIORITY_LITERAL

    public static final String HIGHEST_PRIORITY_LITERAL

  Indicates Highest priority as a String.

  See Also:
    Constant Field Values

### HIGHER_PRIORITY_LITERAL

    public static final String HIGHER_PRIORITY_LITERAL

  Indicates Higher priority as a String.

  See Also:
    Constant Field Values

### HIGH_PRIORITY_LITERAL

    public static final String HIGH_PRIORITY_LITERAL

  Indicates High priority as a String.

  See Also:
    Constant Field Values

### NORMAL_PRIORITY_LITERAL

    public static final String NORMAL_PRIORITY_LITERAL

  Indicates Normal priority as a String.

  See Also:
    Constant Field Values

### LOW_PRIORITY_LITERAL

    public static final String LOW_PRIORITY_LITERAL

  Indicates Low priority as a String.

  See Also:
    Constant Field Values

### LOWER_PRIORITY_LITERAL

    public static final String LOWER_PRIORITY_LITERAL

  Indicates Lower priority as a String.

  See Also:
    Constant Field Values

### LOWEST_PRIORITY_LITERAL

    public static final String LOWEST_PRIORITY_LITERAL

  Indicates Lowest priority as a String.

  See Also:
    Constant Field Values

### HIGHEST

    public static final Priority HIGHEST

  Indicates Highest priority as a Priority enumeration.

### HIGHER

    public static final Priority HIGHER

  Indicates Higher priority as a Priority enumeration.

### HIGH

    public static final Priority HIGH

  Indicates High priority as a Priority enumeration.

### NORMAL

    public static final Priority NORMAL

  Indicates Normal priority as a Priority enumeration.

### LOW

    public static final Priority LOW

  Indicates Low priority as a Priority enumeration.

### LOWER

    public static final Priority LOWER

  Indicates Lower priority as a Priority enumeration.

### LOWEST

    public static final Priority LOWEST

  Indicates Lowest priority as a Priority enumeration.

### ENUM_ARRAY

    public static final Priority[] ENUM_ARRAY

  The ordered array of possible enumeration values (0=> Highest, length-1=>Lowest)

Constructor Detail

### Priority

    protected Priority(int aValue,
                       String aLiteral)

Method Detail

### get

    public static Priority get(String aLiteral)

  Returns the correct instance of the Priority ENUM for aLiteral.

  This method will return NORMAL if the supplied value of aLiteral is invalid.

  Parameters:
    `aLiteral` - One of the defined *_LITERAL constants of this class
  Returns:
    The corresponding Priority Enum or NORMAL if aLiteral is invalid

### get

    public static Priority get(int aValue)

  Returns the correct instance of the Priority ENUM for aValue.

  This method will return NORMAL if the supplied value of aValue is invalid.

  Parameters:
    `aValue` - One of the defined *_VALUE constants of this class
  Returns:
    The corresponding Priority Enum or NORMAL if aValue is invalid

### getLiteral

    public String getLiteral()

  Returns:
    The literal string for this specific Priority.

### getValue

    public int getValue()

  0 is the lowest priority; 7 is the highest.

  Returns:
    The integer value for this specific Priority.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.